Package org.springframework.security.web.server.authentication.logout

# Interface ServerLogoutHandler

All Known Implementing Classes:
  `CsrfServerLogoutHandler`, `DelegatingServerLogoutHandler`, `HeaderWriterServerLogoutHandler`, `SecurityContextServerLogoutHandler`, `WebSessionServerLogoutHandler`

public interface ServerLogoutHandler
Handles log out

Since:
  5.0
See Also:
  - `ServerLogoutSuccessHandler`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`logout(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)`
Invoked when log out is requested

## Method Details

### logout

reactor.core.publisher.Mono<Void> logout(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)
Invoked when log out is requested

Parameters:
  `exchange` - the exchange
  `authentication` - the `Authentication`
Returns:
  a completion notification (success or error)